
From: "David S. Miller" <davem@redhat.com>

From: YOSHIFUJI Hideaki <yoshfuji@linux-ipv6.org>

If I create some kmem cache on 64-bit with like 3 u32's in it, it should
silently just work and not warn.



---

 mm/slab.c |    1 -
 1 files changed, 1 deletion(-)

diff -puN mm/slab.c~slab-printk-suppression mm/slab.c
--- 25/mm/slab.c~slab-printk-suppression	2004-02-15 01:34:10.000000000 -0800
+++ 25-akpm/mm/slab.c	2004-02-15 01:34:10.000000000 -0800
@@ -1156,7 +1156,6 @@ kmem_cache_create (const char *name, siz
 	if (size & (BYTES_PER_WORD-1)) {
 		size += (BYTES_PER_WORD-1);
 		size &= ~(BYTES_PER_WORD-1);
-		printk("%sForcing size word alignment - %s\n", func_nm, name);
 	}
 	
 #if DEBUG

_
